Historical contract: Delete Event Rule
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Delete Event Rule
This API endpoint is used to remove an event rule from an order.
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
},
{
"name": "event_rule_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
}
]
Request body
null
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"id\": 2,\n \"name\": \"<redacted-personal>\",\n \"description\": \"This is a test\",\n \"enabled\": true,\n \"times\": [\n 60\n ],\n \"date\": null,\n \"launch_type\": \"times\",\n \"type\": \"abandoned_cart\",\n \"created_at\": \"2022-05-18 16:49:41\",\n \"updated_at\": \"2022-05-18 16:49:41\"\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 2,
"default": 0
},
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"description": {
"type": "string",
"example": "This is a test"
},
"enabled": {
"type": "boolean",
"example": true,
"default": true
},
"times": {
"type": "array",
"items": {
"type": "integer",
"example": 60,
"default": 0
}
},
"date": {},
"launch_type": {
"type": "string",
"example": "times"
},
"type": {
"type": "string",
"example": "abandoned_cart"
},
"created_at": {
"type": "string",
"example": "2022-05-18 16:49:41"
},
"updated_at": {
"type": "string",
"example": "2022-05-18 16:49:41"
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": " {\n \"error\": true,\n \"result\": [\n \"The attachment could not be deleted.\"\n ]\n }"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "The attachment could not be deleted."
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": " {\n \"error\": true,\n \"result\": [\n \"You do not have permission.\"\n ]\n }"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "You do not have permission."
}
}
}
}
}
}
}
}